Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 541092 - dev-lang/execline-2.0.2.1 sandbox violation open_wr: /lib64/libexecline.so.2.0.2.1.tmp.898
Summary: dev-lang/execline-2.0.2.1 sandbox violation open_wr: /lib64/libexecline.so.2...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: William Hubbs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-22 21:09 UTC by Michele Alzetta
Modified: 2015-02-24 23:07 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,33.82 KB, text/plain)
2015-02-22 21:09 UTC, Michele Alzetta
Details
Environment file (environment,37.10 KB, text/plain)
2015-02-22 21:10 UTC, Michele Alzetta
Details
Patch against ebuild (patch,290 bytes, patch)
2015-02-23 18:31 UTC, Felix Janda
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michele Alzetta 2015-02-22 21:09:37 UTC
Created attachment 397274 [details]
build.log

Doing my usual weekly system update, execline upgrading to 2.0.2.1 from 1.3.1.1 fails. Not only, but the old version is now a @preserved-rebuild and building it fails as well.

********************************

emerge --info 

Portage 2.2.17 (python 2.7.9-final-0, default/linux/amd64/13.0/desktop/kde, gcc-4.9.2, glibc-2.20-r2, 3.19.0-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.19.0-gentoo-x86_64-AMD_Phenom-tm-_II_X6_1100T_Processor-with-gentoo-2.2
KiB Mem:     4049924 total,    282408 free
KiB Swap:    3929084 total,   3789376 free
Timestamp of repository gentoo: Sun, 22 Feb 2015 17:15:01 +0000
sh bash 4.3_p33-r1
ld ld di GNU (Gentoo 2.25 p1.0) 2.25
ccache version 3.2.1 [enabled]
app-shells/bash:          4.3_p33-r1::gentoo
dev-java/java-config:     2.2.0::gentoo
dev-lang/perl:            5.20.2::gentoo
dev-lang/python:          2.7.9-r2::gentoo, 3.4.2::gentoo
dev-util/ccache:          3.2.1-r1::gentoo
dev-util/cmake:           3.1.0::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.13.11::gentoo
sys-apps/sandbox:         2.6-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.13.4::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25::gentoo
sys-devel/gcc:            4.9.2::gentoo
sys-devel/gcc-config:     1.8::gentoo
sys-devel/libtool:        2.4.6::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 3.19::gentoo (virtual/os-headers)
sys-libs/glibc:           2.20-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.at.gentoo.org/gentoo-portage
    priority: -1000

haskell
    location: /var/lib/layman/haskell
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0 /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--jobs=4 --load-average=5"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs ccache collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://de-mirror.org/gentoo/ ftp://files.gentoo.gr ftp://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ ftp://ftp.dei.uc.pt/pub/linux/gentoo/ ftp://ftp.df.lth.se/pub/gentoo/ ftp://ftp.fi.muni.cz/pub/linux/gentoo/ ftp://ftp.free.fr/mirrors/ftp.gentoo.org/ ftp://ftp.gtlib.gatech.edu/pub/gentoo ftp://ftp.halifax.rwth-aachen.de/gentoo/ ftp://ftp.heanet.ie/pub/gentoo/ ftp://ftp.iij.ad.jp/pub/linux/gentoo/ ftp://ftp.jaist.ac.jp/pub/Linux/Gentoo/"
LANG="it"
LC_ALL="it_IT.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
USE="3dnow 3dnowext X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr cleartype cli consolekit corefonts cracklib crypt cups cxx dbus declarative dri dts dvd dvdr emboss encode exif fam firefox firmware flac fortran gdbm gif glamor gpm gtk iconv icu ipv6 jack java javascript jpeg kde kipi lcms ldap libnotify lm_sensors mad midi mmx mng modules mp3 mp4 mpeg multilib ncurses nls nptl nsplugin ogg opengl openmp pam pango pcre pdf phonon plasma png policykit ppds pulseaudio qt3support qt4 readline sdl semantic-desktop session spell sqlite sse sse2 ssl startup-notification svg tcpd threads tiff truetype type1 udev udisks unicode upower usb vorbis wxwidgets x264 xcb xcomposite xinerama xml xscreensaver xv xvid zlib" ABI_X86="64" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="3dnow 3dnowext mmx mmxext popcnt sse sse2 sse3 sse4a" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="it ru" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby22" SANE_BACKENDS="hp" USERLAND="GNU" VIDEO_CARDS="radeon r600" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="2.7 3.4"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

******************************************

emerge -pqv '=dev-lang/execline-2.0.2.1::gentoo'
[ebuild     U ] dev-lang/execline-2.0.2.1 [1.3.1.1] USE="-static% -static-libs"
Comment 1 Michele Alzetta 2015-02-22 21:10:45 UTC
Created attachment 397276 [details]
Environment file
Comment 2 Michele Alzetta 2015-02-22 21:21:13 UTC
Reemerging skalibs fixed this. There seemed to be a file collision problem in the skalibs directory but as I wasn't expecting to solve this so easily I didn't take note.
Comment 3 Brian Evans Gentoo Infrastructure gentoo-dev 2015-02-23 02:08:50 UTC
I am getting the same sandbox violations on dev-lang/execline-2.0.2.1
It seems to be something not working right in the Makefile.

-------
./tools/install.sh -D -m 755 src/libexecline/el_execsequence.lo /lib64/libexecline.so.2.0.2.1 && \
./tools/install.sh -l src/libexecline/el_execsequence.lo.2.0.2.1 /lib64/libexecline.so.2.0.2 && \
./tools/install.sh -l src/libexecline/el_execsequence.lo.2.0.2 /lib64/libexecline.so.2.0 && \
./tools/install.sh -l src/libexecline/el_execsequence.lo.2.0 /lib64/libexecline.so.2 && \
exec ./tools/install.sh -l src/libexecline/el_execsequence.lo.2 /lib64/libexecline.so
 * ACCESS DENIED:  open_wr:      /lib64/libexecline.so.2.0.2.1.tmp.898
./tools/install.sh: line 48: /lib64/libexecline.so.2.0.2.1.tmp.898: Permission denied
 * ACCESS DENIED:  unlinkat:     /lib64/libexecline.so.2.0.2.1.tmp.898
rm: cannot remove ‘/lib64/libexecline.so.2.0.2.1.tmp.898’: Permission denied
Makefile:90: recipe for target '/lib64/libexecline.so' failed
make: *** [/lib64/libexecline.so] Error 1
 * ERROR: dev-lang/execline-2.0.2.1::gentoo failed (compile phase):
 *   emake failed
 * 
 * If you need support, post the output of `emerge --info '=dev-lang/execline-2.0.2.1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-lang/execline-2.0.2.1::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/dev-lang/execline-2.0.2.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-lang/execline-2.0.2.1/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-lang/execline-2.0.2.1/work/execline-2.0.2.1'
 * S: '/var/tmp/portage/dev-lang/execline-2.0.2.1/work/execline-2.0.2.1'
 * --------------------------- ACCESS VIOLATION SUMMARY ---------------------------
 * LOG FILE: "/var/log/sandbox/sandbox-809.log"
 * 
VERSION 1.0
FORMAT: F - Function called
FORMAT: S - Access Status
FORMAT: P - Path as passed to function
FORMAT: A - Absolute Path (not canonical)
FORMAT: R - Canonical Path
FORMAT: C - Command Line

F: open_wr
S: deny
P: /lib64/libexecline.so.2.0.2.1.tmp.898
A: /lib64/libexecline.so.2.0.2.1.tmp.898
R: /lib64/libexecline.so.2.0.2.1.tmp.898
C: /bin/sh ./tools/install.sh -D -m 755 src/libexecline/el_execsequence.lo /lib64/libexecline.so.2.0.2.1 

F: unlinkat
S: deny
P: /lib64/libexecline.so.2.0.2.1.tmp.898
A: /lib64/libexecline.so.2.0.2.1.tmp.898
R: /lib64/libexecline.so.2.0.2.1.tmp.898
C: rm -f /lib64/libexecline.so.2.0.2.1.tmp.898 
 * --------------------------------------------------------------------------------
Comment 4 Felix Janda 2015-02-23 18:31:48 UTC
Created attachment 397338 [details, diff]
Patch against ebuild

Builds fine for me with this patch.
Comment 5 William Hubbs gentoo-dev 2015-02-24 23:07:09 UTC
This issue also happened with sys-apps/s6.
I have fixed both ebuilds the same way.